Description

I noticed some users would click on the edit button to edit a commentary, and then on the delete issue button on the bottom of the

page (on the action menu), and then confirm. It happens sometimes, most of our users don't have the permission to delete an issue,

but I've had project managers doing this from time to time when they are tired.

The patch is very trivial, it changes the name of the button from "Delete" to "Delete Issue". So as it is not mistaken for "Delete what is

selected", which is the expected behavior for some users.

Related issues:

Related to Redmine - Feature #34494: Rename the save, edit and delete buttons... Closed

Related to Redmine - Defect #38233: Broken spelling in context menus Closed

Has duplicate Redmine - Defect #36585: Change "Delete" entry in issue context... Closed

Associated revisions

Revision 21346 - 2022-01-05 01:05 - Go MAEDA

Change Delete button name to Delete issue (#31278).

Contributed by Frederico Camara.

History

#1 - 2019-04-29 21:42 - Frederico Camara

BTW: I probably am forgetting the tests.

#2 - 2019-04-30 14:18 - Frederico Camara

Tests checked. No tests for this.

#3 - 2019-04-30 14:37 - Marius BĂLTEANU

Which version of Redmine do you use?

#4 - 2021-02-08 10:49 - Go MAEDA

- Related to Feature #34494: Rename the save, edit and delete buttons on the query form to clarify the scope added

#5 - 2021-02-08 10:50 - Go MAEDA

Another solution has been posted as #34494.

#6 - 2021-02-08 14:22 - Frederico Camara

- File 0021-Change-Delete-issue-button-behaviour.patch added

Slightly different Patch (for Redmine 4.1), renames button to Delete Issue and shows the button only on top menu (hides it from the menu near the

issue history).

#7 - 2021-02-11 08:33 - Marius BĂLTEANU

Frederico Camara wrote:

Slightly different Patch (for Redmine 4.1), renames button to Delete Issue and shows the button only on top menu (hides it from the menu near

the issue history).
 Frederico, another solution to avoid the confusion was posted as part of #34703, please take a look.

#8 - 2021-02-11 15:14 - Frederico Camara

Marius BALTEANU wrote:

Frederico Camara wrote:

Slightly different Patch (for Redmine 4.1), renames button to Delete Issue and shows the button only on top menu (hides it from the menu

near the issue history).

 Frederico, another solution to avoid the confusion was posted as part of #34703, please take a look.

 Marius, your patch addresses a different problem. My problem is the user sometimes mistakes the "delete this comment" icon for the "delete this

issue icon". Both have the same caption and depending on how you configurer your redmine, can sometimes be close on the bottom part of the

interface. That I know, it happened three times where I work, with different users. And it was a pain restoring the data from the logs, and the

attachments from the backups.

My patch mostly addresses the delete issue icon on the bottom part of the interface, I don't mind the non destructive actions:

it changes the caption to differentiate between the two actions

it changes the actions menu behaviour at the bottom part of the interface:

at first I was removing the actions menu entirely, because it was a repeat. But it is very helpful there

now I am removing just the delete issue from the bottom actions menu. If the user wants to delete the issue, he can use the button on the 

actions menu on the top.

#9 - 2021-12-31 14:13 - Go MAEDA

- File 31278.patch added

+1

I have seen so many accidents that people accidentally delete an issue. In my observation, such accidents often occur in the following situations. I

believe that the suggested change greatly reduces such accidents.

When trying to delete an issue comment which is displayed at the bottom, they misunderstand the "Delete" in the action menu at the bottom as a

button to delete a comment

When trying to remove a relation to another issue, they misunderstand the "Delete" in the context menu as a menu item to remove the relation

I am attaching an updated patch. It uses an existing i18n string button_delete_object added by #34494 instead of adding a new string. Also, it

updates tests.

#10 - 2021-12-31 14:14 - Go MAEDA

- Target version set to Candidate for next major release

#11 - 2022-01-02 15:31 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#12 - 2022-01-05 01:06 - Go MAEDA

- Subject changed from Change Delete button name to Delete Issue to Change Delete button name to Delete issue

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#13 - 2022-02-09 19:35 - Holger Just

- Has duplicate Defect #36585: Change "Delete" entry in issue context to "Delete issue(s)" added

#14 - 2022-03-27 05:00 - Go MAEDA

- Tracker changed from Patch to Feature

#15 - 2023-02-17 08:53 - Bernhard Rohloff
- Related to Defect #38233: Broken spelling in context menus  added

Files

button-delete-patch.patch 1.78 KB 2019-04-29 Frederico Camara

0021-Change-Delete-issue-button-behaviour.patch 2.49 KB 2021-02-08 Frederico Camara

31278.patch 7.04 KB 2021-12-31 Go MAEDA
